<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
use think\facade\Route;

Route::get('think', function () {
    return 'hello,ThinkPHP6!';
});

Route::get('hello/:name', 'index/hello');

Route::rule('login', 'Auth/login', 'POST');
Route::rule('logout', 'Auth/logout', 'GET');
Route::resource('user', 'User');
Route::rule('currentUser', 'User/current', 'GET');
Route::rule('user/:id/identity', 'User/identity', 'PATCH');
Route::rule('user/:id/disable', 'User/disableSwitch', 'PATCH');

Route::rule('upload/addTask', 'Upload/addTask', 'POST');
Route::rule('upload/addChunk', 'Upload/addChunk', 'POST');
Route::rule('upload/list', 'Upload/list', 'GET');
