<?php

namespace app\model;

use think\Model;
use think\model\concern\SoftDelete;

class UploadTaskChunkModel extends Model
{
    protected $name = 'upload_task_chunk';
    protected $pk = 'utc_id';
    protected $schema = [
        'utc_id' => 'int',
        'ut_id' => 'int',
        'chunk' => 'int',
        'start' => 'int',
        'end' => 'int',
        'md5' => 'string',
        'path' => 'string',
        'create_time' => 'int',
        'update_time' => 'int',
        'delete_time' => 'int',
    ];
    use SoftDelete;

    protected $deleteTime = 'delete_time';
    protected $defaultSoftDelete = 0;
}