<?php

namespace app\model;

use think\Model;
use think\model\concern\SoftDelete;

class UploadTaskModel extends Model
{
    protected $name = 'upload_task';
    protected $pk = 'ut_id';
    protected $schema = [
        'ut_id' => 'int',
        'name' => 'string',
        'size' => 'int',
        'chunks' => 'int',
        'md5' => 'string',
        'ext' => 'string',
        'path' => 'int',
        'status' => 'int',
        'create_time' => 'int',
        'update_time' => 'int',
        'delete_time' => 'int',
    ];
    use SoftDelete;

    protected $deleteTime = 'delete_time';
    protected $defaultSoftDelete = 0;
}