<?php

namespace app\service;

use app\model\UserModel;
use Exception;
use think\db\exception\DbException;

class AuthService
{
    /**
     * @param $param
     * @return UserModel
     * @throws DbException
     * @throws Exception
     */
    public static function login($param): UserModel
    {
        $account = $param['account'];
        $password = $param['password'];

        $query[] = ['account', '=', $account];
        $user = UserModel::where($query)->find();

        if (empty($user) || !password_verify($password, $user['password'])) {
            exception('账号或密码错误');
        }
        return $user;
    }
}