# 部署

## nginx 为静态设置

```
location ~* (runtime|application)/{
	return 403;
}
location / {
	if (!-e $request_filename){
		rewrite  ^/api/(.*)$  /index.php?s=$1  last;   break;
	}
}
## 这里需要注意，文件路径不要和控制器路径冲出，避免 ajax 跨域下载太过坎坷
location /u/ {
  if ($request_method = 'OPTIONS') {
    add_header 'Access-Control-Allow-Origin' '*';
    add_header 'Access-Control-Allow-Headers' 'access-control-allow-origin';
    return 200;
  }
  if ($request_method = 'GET') {
    add_header 'Access-Control-Allow-Origin' '*';
    add_header 'Access-Control-Allow-Credentials' 'true';
  }
}
```

## 定时任务

### lane.l/api: 合并上传文件

小皮面板

php 脚本位置 `/usr/local/phpstudy/system/module/php`

```shell
#!/bin/bash
cd /www/admin/lane.l_80/wwwroot
step=1
for ((i = 0; i < 58; i = (i + step))); do
  echo "----------------------------"
  endDate=$(date +"%Y-%m-%d %H:%M:%S")
  echo "★[$endDate] Successful"
  su -c "/usr/local/phpstudy/system/module/dockerphp php-7.4.0 php think UploadFileMerge" -s /bin/sh www
  echo "----------------------------"
  sleep $step
done
exit 0

```

宝塔

```shell
#!/bin/bash
cd /www/admin/lane.l_80/wwwroot
step=1
for ((i = 0; i < 58; i = (i + step))); do
  echo "----------------------------"
  endDate=$(date +"%Y-%m-%d %H:%M:%S")
  echo "★[$endDate] Successful"
  su -c "php74 think UploadFileMerge" -s /bin/sh www
  echo "----------------------------"
  sleep $step
done
exit 0

```
